# Class InstanceAlreadyExistsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.OperationsException
javax.management.InstanceAlreadyExistsException

All Implemented Interfaces:
  `Serializable`

public class InstanceAlreadyExistsException extends OperationsException
The MBean is already registered in the repository.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstanceAlreadyExistsException()`
  Default constructor.
  `InstanceAlreadyExistsException(String message)`
  Constructor that allows a specific error message to be specified.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InstanceAlreadyExistsException

    public InstanceAlreadyExistsException()
    Default constructor.

  - ### InstanceAlreadyExistsException

    public InstanceAlreadyExistsException(String message)
    Constructor that allows a specific error message to be specified.
    Parameters:
      `message` - the detail message.